****************************************************
**Syntax producing the USA heritage time use files**
**Schema files                                    **
**written by Dr. Kimberly Fisher                  **
**Institute for Social and Economic Research      **
**University of Essex, Wivenhoe Park Colchester   **
**United Kingdom                                  **
**7 April 2006, last amended 24 June 2013         **
****************************************************.

******************************************
*set up schema files for time diary data**
******************************************.

*create schema for time use episode files.

*the number 1 added to the first cell.

vector survey(1) wave(1) hhid(1) pid(1) diary(1) cday(1) 
       month(1) year(1) time(1) clockst(1) start(1) end(1) 
       epnum(1) main(1) sec(1) inout(1) eloc(1) mtrav(1) 
       alone(1) infant(1) child(1) sppart(1) clsfam(1) 
       hhadult(1) animal(1) shoprof(1) cowork(1) wellknw(1) 
       otherp(1) unknwp(1) lowqual(1) baddem(1) caremfl(1)
       origwgh(1) owghtfl(1) xtimewt(1) infltwt(1) recwght(1).

rename variables (var00001 survey1 wave1 hhid1 pid1 diary1 cday1 
    month1 year1 time1 clockst1 start1 end1 epnum1 main1 sec1 
    inout1 eloc1 mtrav1 alone1 infant1 child1 sppart1 clsfam1 
    hhadult1 animal1 shoprof1 cowork1 wellknw1 otherp1 unknwp1 
    lowqual1 baddem1 caremfl1 origwgh1 owghtfl1 xtimewt1 infltwt1 
    recwght1 = schema1 survey wave hhid pid diaryday cday month 
    year time clockst start end epnum main sec inout eloc mtrav 
    alone infant child sppart clsfam hhadult animal shoprof 
    cowork wellknw otherp unknwp lowqual baddem caremflg 
    origwght owghtflg xtimewt infltwt recwght). 

var lab schema1 time use episode file schema.
var lab survey survey period.
var lab wave diary wave.
var lab hhid "household id".
var lab pid person identifier.
var lab diaryday day of week diary kept.
var lab cday calendar day diary kept.
var lab month month diary kept.
var lab year year diary kept.
var lab time duration of activity in minutes.
var lab clockst 'start time on 24 hour clock'.
var lab start "start minute (of 1440 min, 0=begin of diary)".
var lab end "end minute (of 1440 min, 1440=end of diary)".
var lab epnum episode number.
var lab main main activity.
var lab sec secondary activity.
var lab inout "inside, outside or in vehicle".
var lab eloc 'location (extended, inc implied in act codes)'.
var lab mtrav mode of travel.
var lab alone alone during activity.
var lab infant "a child aged <5 present".
var lab child "a child aged <18 present".
var lab sppart spouse or partner present.
var lab clsfam "close family (inc partner, hh kid, own nonhh kid, kid diarist's parent)".
var lab hhadult adult from household present.
var lab animal an animal present.
var lab shoprof "shop/service/prof staff present".
var lab cowork "co-workers/co-volunteers present".
var lab wellknw person well-known present.
var lab otherp other person present.
var lab unknwp presence of others unknown.
var lab lowqual "low quality diary (0 weighted)".
var lab baddem "age, sex or diary day missing (0 weighed)".
var lab caremflg carer who likely combined basic acts with care.
var lab origwght "original sample/day weight".
var lab owghtflg "flag for nature of original weight".
var lab xtimewt "recwght limited to states in all samples".
var lab infltwt "recwght inflated to national population".
var lab recwght "recommended sample/day weight removing low quality diaries and missing age or sex".
val lab survey
     0 "1965-1966 USA Szalai Jackson sample"
     1 "1965-1966 USA national sample"
     2 "1975-1976 longitudinal survey"
     3 "1985 Univ Michigan survey"
     4 "1992-1994 NHAPS survey"
     5 "1995 NHAPS extension survey"
     6 "1998-1999 Family Interaction, Social Capital"
     7 "2003-2012 ATUS"
     8 "1999-2001 National Survey of Parents".
val lab wave
    -8 missing
     1 'first wave or only wave (2003 ATUS)'
     2 '2nd wave / ATUS 2004'
     3 '3rd wave / ATUS 2005'
     4 '4th wave / ATUS 2006'
     5 5th year ATUS 2007
     6 6th year ATUS 2008
     7 7th year ATUS 2009
     8 8th year ATUS 2010
     9 9th year ATUS 2011
    10 10th year ATUS 2012
    11 11th year ATUS 2013
    12 12th year ATUS 2014.
val lab diaryday
  -8 missing
   1 Sunday
   2 Monday
   3 Tuesday
   4 Wednesday
   5 Thursday
   6 Friday
   7 Saturday.
val lab cday year
  -8 missing.
val lab month
    -8 missing
     1 January
     2 February
     3 March
     4 April
     5 May
     6 June
     7 July
     8 August
     9 September
    10 October
    11 November
    12 December.
val lab main
        -8 item missing
         1 general or other personal care
         2 imputed personal or household care
         3 sleep
         4 imputed sleep
         5 naps and rest	
         6 wash, dress, personal care
         7 personal medical care
         8 meals at work
         9 other meals & snacks
        10 "main paid work (not at home)"
        11 paid work at home
        12 second job, other paid work
        13 work breaks
        14 other time at workplace
        15 time looking for work
        16 regular schooling, education
        17 homework
        18 short course or training
        19 oc lecture, other ed or train
        20 food preparation, cooking
        21 "set table, wash/put away dishes"
        22 cleaning
        23 laundry, ironing, clothing repair
        24 home repairs, maintain vehicle
        25 other domestic work
        26 purchase routine goods
        27 purchase consumer durables
        28 purchase personal services
        29 purchase medical services
        30 purchase repair, laundry services	
        31 "financial/government services"
        32 purchase other services
        33 care of infants
        34 general care of older children
        35 medical care of children
        36 play with children
        37 "supervise/help with homework"
        38 "read to, talk with child"
        39 other child care
        40 adult care
        41 general voluntary acts
        42 political and civic activity
        43 union and professional activities
        44 "volunteer child/family organization"
        45 volunteer fraternal organization
        46 other formal volunteering
        48 acts for religious organisation
        49 worship and religious acts	
        50 "general out-of-home leisure"
        51 attend sporting event
        52 go to cinema
        53 theater, concert, opera
        54 museums, exhibitions
        55 attend other public event
        56 restaurant, cafe, bar
        57 parties or receptions
        58 imputed time away from home
        60 sports & exercise
        62 walking
        63 cycling
        64 outdoor recreation
        65 "phys act/sports with child"
        66 hunting, fishing, boating, hiking
        67 gardening
        68 pet care, walk dogs
        70 general indoor leisure
        71 "imputed in-home social"
        72 receive or visit friends
        73 other in-home social, games
        74 play musical instrument, sing, act	
        75 artistic activity
        76 crafts
        77 hobbies
        78 relax, think, do nothing
        81 read books
        82 read periodicals
        83 read newspapers
        84 "listen to music (cd etc.)"
        85 listen to radio
        86 watch television, video
        87 writing by hand
        88 conversation, phone, texting
        89 use computer
        90 imputed travel
        91 personal or adult care travel
        92 travel as part of paid work
        93 "travel to/from work + oth work trav"	
        94 travel related to education
        95 travel related to consumption
        96 travel related to child care
        97 travel for volunteering or worship	
        98 other travel.
val lab sec
        -9 not present in study
        -7 not asked of diarist
         0 no secondary activity
         1 general or other personal care
         2 imputed eat during food prep or set table
         3 sleep
         5 naps and rest	
         6 wash, dress, personal care
         7 personal medical care
         8 meals at work
         9 other meals & snacks
        10 "main paid work (not at home)"
        11 paid work at home
        12 second job, other paid work
        13 work breaks
        14 other time at workplace
        15 time looking for work
        16 regular schooling, education
        17 homework
        18 short course or training
        19 oc lecture, other ed or train
        20 food preparation, cooking
        21 "set table, wash/put away dishes"
        22 cleaning
        23 laundry, ironing, clothing repair
        24 home repairs, maintain vehicle
        25 other domestic work
        26 purchase routine goods
        27 purchase consumer durables
        28 purchase personal services
        29 purchase medical services
        30 purchase repair, laundry services	
        31 "financial/government services"
        32 purchase other services
        33 care of infants
        34 general care of older children
        35 medical care of children
        36 play with children
        37 "supervise/help with homework"
        38 "read to, talk with child"
        39 other child care
        40 adult care
        41 general voluntary acts
        42 political and civic activity
        43 union and professional activities
        44 "volunteer child/family organization"
        45 volunteer fraternal organization
        46 other formal volunteering
        48 acts for religious organisation
        49 worship and religious acts	
        50 "general out-of-home leisure"
        51 attend sporting event
        52 go to cinema
        53 theater, concert, opera
        54 museums, exhibitions
        55 attend other public event
        56 restaurant, cafe, bar
        57 parties or receptions
        60 sports & exercise
        62 walking
        63 cycling
        64 outdoor recreation
        65 "phys act/sports with child"
        66 hunting, fishing, boating, hiking
        67 gardening
        68 pet care, walk dogs
        70 general indoor leisure
        71 "imputed in-home social"
        72 receive or visit friends
        73 other in-home social, games
        74 play musical instrument, sing, act	
        75 artistic activity
        76 crafts
        77 hobbies
        78 relax, think, do nothing
        81 read books
        82 read periodicals
        83 read newspapers
        84 "listen to music (cd etc.)"
        85 listen to radio
        86 watch television, video
        87 writing by hand
        88 conversation, phone, texting
        89 use computer
        90 imputed travel
        91 personal or adult care travel
        92 travel as part of paid work
        93 "travel to/from work + oth work trav"	
        94 travel related to education
        95 travel related to consumption
        96 travel related to child care
        97 travel for volunteering or worship	
        98 other travel
        99 "child <13 in diarist's care".
val lab inout
    -9 not present in study
    -8 location unknown
     1 outside
     2 inside
     3 in a vehicle.
val lab eloc
  -9 not present in study
  -8 location unknown
    1 own home
    2 other home
    3 workplace
    4 school
    5 'services/shops'
    6 'restaurant/cafe/bar'
    7 place of worship
    8 travelling
    9 other.
val lab mtrav
   -9 not present in study
   -8 not answered
   -7 not travelling
    1 'car/truck/motorcycle'
    2 'public/mass transport'
    3 'walk (inc child carried)'
    4 cycle
    5 other or unspecified mode.
val lab alone infant child sppart clsfam hhadult animal 
        shoprof cowork wellknw otherp unknwp 
   -9 not present in study
   -7 not asked of diarist
    0 no
    1 yes.
val lab lowqual baddem
    0 no
    1 yes.
val lab caremflg
    0 not perform care and miss daily acts
    1 "care/16+ episodes; miss 2 of sleep, self care, eat, travel".
val lab owghtflg 
    1 population weight to match CPS distribution
    2 sample population weight from study
    3 "combined population/day weight from study".
val lab xtimewt
    0 'limited sample state, miss sex/age, low qual diary'.
val lab recwght infltwt
    0 'excluded, miss sex/age or low quality diary'.

formats origwght xtimewt infltwt recwght (f8.3).

SAVE OUTFILE='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\History of harmonisation - Diary\schema\schema1.sav'.

*create schema for aggregated time use files.

*the number 2 added to the first cell.

vector survey(1) wave(1) hhid(1) pid(1) diary(1) cday(1) month(1)
  year(1) tottime(1) numep(1) t0pcare(1) t1paid(1) t2ed(1) 
  t3unpai(1) t4acvol(1) t5outhm(1) t6exerc(1) t7inhm(1) t8media(1) 
  t9trav(1) tmiss(1) tmain(98) tsc(98) outside(1) inveh(1) 
  inside(1) locunk(1) athome(1) atwrksc(1) elsewhr(1) lunk(1) walone(1) 
  wchild(1) wsppart(1) wclsfam(1) wother(1) withunk(1) lowqual(1)
  baddem(1) caremfl(1) origwgh(1) owghtfl(1) xtimewt(1) infltwt(1) 
  recwght(1).

rename variables (var00001 survey1 wave1 hhid1 pid1 diary1 cday1 
  month1 year1 tottime1 numep1 t0pcare1 t1paid1 t2ed1 t3unpai1 
  t4acvol1 t5outhm1 t6exerc1 t7inhm1 t8media1 t9trav1 tmiss1 
  outside1 inveh1 inside1 locunk1 athome1 atwrksc1 elsewhr1 lunk1 
  walone1 wchild1 wsppart1 wclsfam1 wother1 withunk1 lowqual1  
  baddem1 caremfl1 origwgh1 owghtfl1 xtimewt1 infltwt1 recwght1 = 
  schema2 survey wave hhid pid diaryday cday month year tottime 
  numep t0pcare t1paid t2ed t3unpaid t4acvol t5outhm t6exerc 
  t7inhm t8media t9trav tmiss outside inveh inside locunk athome 
  atwrksc elsewhr lunk walone wchild wsppart wclsfam wother 
  withunk lowqual baddem caremflg origwght owghtflg xtimewt 
  infltwt recwght). 

var lab schema2 aggregated time use file schema.
var lab survey survey period.
var lab wave diary wave.
var lab hhid "household id".
var lab pid personal identifier.
var lab diaryday day of week diary kept.
var lab cday calendar day diary kept.
var lab month month diary kept.
var lab year year diary kept.
var lab tottime "total minutes recorded in diary".
var lab numep number of episodes in original data.
var lab t0pcare total minutes in personal care.
var lab t1paid total minutes in paid work.
var lab t2ed total minutes in education.
var lab t3unpaid total minutes unpaid work.
var lab t4acvol total min adult care, relig or volunt.
var lab t5outhm total minutes out of home activities.
var lab t6exerc total minutes in sport and exercise.
var lab t7inhm total minutes in home activities.
var lab t8media total minutes use media & communication.
var lab t9trav total minutes travelling.
var lab tmiss "missing (no main activity recorded or imputed)".
var lab tmain1  "min oth pers care main act only".
var lab tmain2  "min imputed pers/hh care main act only".
var lab tmain3  "min sleep main act only".
var lab tmain4  "min imputed sleep main act only".
var lab tmain5  "min naps or rest main act only".
var lab tmain6  "min wash and dress main act only".
var lab tmain7  "min pers med care main act only".
var lab tmain8  "min meals at work main act only".
var lab tmain9  "min oth meals main act only".
var lab tmain10 "min paid job main act only".
var lab tmain11 "min paid work at home main act only".
var lab tmain12 "min second job main act only".
var lab tmain13 "min work breaks main act only".
var lab tmain14 "min other workplace main act only".
var lab tmain15 "min look for work main act only".
var lab tmain16 "min regular education main act only".
var lab tmain17 "min homework main act only".
var lab tmain18 "min short course main act only".
var lab tmain19 "min other education main act only".
var lab tmain20 "min food prep/clean up main act only".
var lab tmain21 "min set table/do dishes main act only".
var lab tmain22 "min cleaning main act only".
var lab tmain23 "min laundry/iron main act only".
var lab tmain24 "min home/vehicle repair main act only".
var lab tmain25 "min other domest work main act only".
var lab tmain26 "min purch routine goods main act only".
var lab tmain27 "min purch durables main act only".
var lab tmain28 "min purch pers services main act only".
var lab tmain29 "min purch med services main act only".
var lab tmain30 "min repair/laundry services main act only".
var lab tmain31 "min financial/gov services main act only".
var lab tmain32 "min purchase other services main act only".
var lab tmain33 "min care for infant main act only".
var lab tmain34 "min care for older child main act only".
var lab tmain35 "min med care for child main act only".
var lab tmain36 "min play with child main act only".
var lab tmain37 "min supervise homework main act only".
var lab tmain38 "min read to/talk with child main act only".
var lab tmain39 "min other child care main act only".
var lab tmain40 "min adult care main act only".
var lab tmain41 "min general voluntary main act only".
var lab tmain42 "min political/civic acts main act only".
var lab tmain43 "min union/prof vol main act only".
var lab tmain44 "min child/family vol main act only".
var lab tmain45 "min fraternal vol main act only".
var lab tmain46 "min other formal vol main act only".
var lab tmain48 "min vol for relig group main act only".
var lab tmain49 "min worship main act only".
var lab tmain50 "min gen out of home leisure main act only".
var lab tmain51 "min attend sports event main act only".
var lab tmain52 "min cinema main act only".
var lab tmain53 "min theater/concert main act only".
var lab tmain54 "min museum/exhibition main act only".
var lab tmain55 "min other public events main act only".
var lab tmain56 "min restaurant or bars main act only".
var lab tmain57 "min party or reception main act only".
var lab tmain58 "min imputed time away from home main act only".
var lab tmain60 "min sports or exercise main act only".
var lab tmain62 "min walking main act only".
var lab tmain63 "min cycling main act only".
var lab tmain64 "min outdoor recreation main act only".
var lab tmain65 "min exercise with child main act only".
var lab tmain66 "min hunt or fish main act only".
var lab tmain67 "min gardening main act only".
var lab tmain68 "min walk dog/pet care main act only".
var lab tmain70 "min gen indoor leisure main act only".
var lab tmain71 "min imputed in-home main act only".
var lab tmain72 "min receive/visit friends main act only".
var lab tmain73 "min other social or games main act only".
var lab tmain74 "min play inst, sing, act main act only".
var lab tmain75 "min artistic activity main act only".
var lab tmain76 "min crafts main act only main act only".
var lab tmain77 "min hobbies main act only".
var lab tmain78 "min relax/do nothing main act only".
var lab tmain81 "min reading books main act only".
var lab tmain82 "min reading periodicals main act only".
var lab tmain83 "min reading newspapers main act only".
var lab tmain84 "min listen to music main act only".
var lab tmain85 "min listen to radio main act only".
var lab tmain86 "min watch tv, video main act only".
var lab tmain87 "min write by hand main act only".
var lab tmain88 "min conversation inc phone main act only".
var lab tmain89 "min use computer main act only".
var lab tmain90 "min imputed travel main act only".
var lab tmain91 "min pers/adult care travel main act only".
var lab tmain92 "min paid work travel main act only".
var lab tmain93 "min travel to/from work main act only".
var lab tmain94 "min education travel main act only".
var lab tmain95 "min consumption travel main act only".
var lab tmain96 "min child care travel main act only".
var lab tmain97 "min vol/worship travel main act only".
var lab tmain98 "min other travel main act only".
var lab tsc1  "min oth pers care + 2ndry childcare".
var lab tsc2  "min imp pers/hh care + 2ndry childcare".
var lab tsc3  "min sleep + 2ndry childcare".
var lab tsc4  "min imputed sleep + 2ndry child care".
var lab tsc5  "min naps or rest + 2ndry childcare".
var lab tsc6  "min wash and dress + 2ndry childcare".
var lab tsc7  "min pers med care + 2ndry childcare".
var lab tsc8  "min meals at work + 2ndry childcare".
var lab tsc9  "min oth meals + 2ndry childcare".
var lab tsc10 "min paid job + 2ndry childcare".
var lab tsc11 "min paid work at home + 2ndry childcare".
var lab tsc12 "min second job + 2ndry childcare".
var lab tsc13 "min work breaks + 2ndry childcare".
var lab tsc14 "min other workplace + 2ndry childcare".
var lab tsc15 "min look for work + 2ndry childcare".
var lab tsc16 "min regular education + 2ndry childcare".
var lab tsc17 "min homework + 2ndry childcare".
var lab tsc18 "min short course + 2ndry childcare".
var lab tsc19 "min other education + 2ndry childcare".
var lab tsc20 "min food prep/clean up + 2ndry childcare".
var lab tsc21 "min set table/do dishes + 2ndry childcare".
var lab tsc22 "min cleaning + 2ndry childcare".
var lab tsc23 "min laundry/iron + 2ndry childcare".
var lab tsc24 "min home/vehicle repair + 2ndry childcare".
var lab tsc25 "min other domest work + 2ndry childcare".
var lab tsc26 "min purch routine goods + 2ndry childcare".
var lab tsc27 "min purch durables + 2ndry childcare".
var lab tsc28 "min purch pers services + 2ndry childcare".
var lab tsc29 "min purch med services + 2ndry childcare".
var lab tsc30 "min repair/laundry services + 2ndry childcare".
var lab tsc31 "min financial/gov services + 2ndry childcare".
var lab tsc32 "min purchase other services + 2ndry childcare".
var lab tsc33 "min care for infant + 2ndry childcare".
var lab tsc34 "min care for older child + 2ndry childcare".
var lab tsc35 "min med care for child + 2ndry childcare".
var lab tsc36 "min play with child + 2ndry childcare".
var lab tsc37 "min supervise homework + 2ndry childcare".
var lab tsc38 "min read to/talk with child + 2ndry childcare".
var lab tsc39 "min other child care + 2ndry childcare".
var lab tsc40 "min adult care + 2ndry childcare".
var lab tsc41 "min general voluntary + 2ndry childcare".
var lab tsc42 "min political/civic acts + 2ndry childcare".
var lab tsc43 "min union/prof vol + 2ndry childcare".
var lab tsc44 "min child/family vol + 2ndry childcare".
var lab tsc45 "min fraternal vol + 2ndry childcare".
var lab tsc46 "min other formal vol + 2ndry childcare".
var lab tsc48 "min vol for relig group + 2ndry childcare".
var lab tsc49 "min worship + 2ndry childcare".
var lab tsc50 "min gen out of home leisure + 2ndry childcare".
var lab tsc51 "min attend sports event + 2ndry childcare".
var lab tsc52 "min cinema + 2ndry childcare".
var lab tsc53 "min theater/concert + 2ndry childcare".
var lab tsc54 "min museum/exhibition + 2ndry childcare".
var lab tsc55 "min other public events + 2ndry childcare".
var lab tsc56 "min restaurants + 2ndry childcare".
var lab tsc57 "min party or reception + 2ndry childcare".
var lab tsc58 "min imp time not home + 2ndry childcare".
var lab tsc60 "min sports or exercise + 2ndry childcare".
var lab tsc62 "min walking + 2ndry childcare".
var lab tsc63 "min cycling + 2ndry childcare".
var lab tsc64 "min outdoor recreation + 2ndry childcare".
var lab tsc65 "min exercise with child + 2ndry childcare".
var lab tsc66 "min hunt or fish + 2ndry childcare".
var lab tsc67 "min gardening + 2ndry childcare".
var lab tsc68 "min walk dog/pet care + 2ndry childcare".
var lab tsc70 "min gen indoor leisure + 2ndry childcare".
var lab tsc71 "min imp in-home + 2ndry childcare".
var lab tsc72 "min receive/visit friends + 2ndry childcare".
var lab tsc73 "min other social or games + 2ndry childcare".
var lab tsc74 "min play inst, sing, act + 2ndry childcare".
var lab tsc75 "min artistic activity + 2ndry childcare".
var lab tsc76 "min crafts + 2ndry childcare".
var lab tsc77 "min hobbies + 2ndry childcare".
var lab tsc78 "min relax/do nothing + 2ndry childcare".
var lab tsc81 "min reading books + 2ndry childcare".
var lab tsc82 "min reading periodicals + 2ndry childcare".
var lab tsc83 "min reading newspapers + 2ndry childcare".
var lab tsc84 "min listen to music + 2ndry childcare".
var lab tsc85 "min listen to radio + 2ndry childcare".
var lab tsc86 "min tv, video + 2ndry childcare".
var lab tsc87 "min write by hand + 2ndry childcare".
var lab tsc88 "min conversation inc phone + 2ndry childcare".
var lab tsc89 "min use computer + 2ndry childcare".
var lab tsc90 "min imp travel + 2ndry childcare".
var lab tsc91 "min pers/adult care travel + 2ndry childcare".
var lab tsc92 "min paid work travel + 2ndry childcare".
var lab tsc93 "min travel to/from work + 2ndry childcare".
var lab tsc94 "min education travel + 2ndry childcare".
var lab tsc95 "min consumption travel + 2ndry childcare".
var lab tsc96 "min child care travel + 2ndry childcare".
var lab tsc97 "min vol/worship travel + 2ndry childcare".
var lab tsc98 "min other travel + 2ndry childcare".
var lab outside total min outside.
var lab inveh total min in vehicle.
var lab inside total min inside.
var lab locunk 'min out/inside unknown'.
var lab athome total min at own home.
var lab atwrksc min at workplace or school.
var lab elsewhr total min elsewhere.
var lab lunk total min location unknown.
var lab walone total min alone.
var lab wchild total min with a child.
var lab wsppart min with spouse or partner.
var lab wclsfam "min with close family (inc partner, hh kid, own nonhh kid, kid diarist's parent)".
var lab wother total min with other people.
var lab withunk min not known who else present.
var lab lowqual "low quality diary (0 weighted)".
var lab baddem "age, sex or diary day missing (0 weighed)".
var lab caremflg carer who likely combined basic acts with care.
var lab origwght "original sample/day weight".
var lab owghtflg "flag for nature of original weight".
var lab xtimewt "recwght limited to states in all samples".
var lab infltwt "recwght inflated to national population".
var lab recwght "recommended sample/day weight removing low quality diaries and missing age or sex".
val lab survey
     0 "1965-1966 USA Szalai Jackson sample"
     1 "1965-1966 USA national sample"
     2 "1975-1976 longitudinal survey"
     3 "1985 Univ Michigan survey"
     4 "1992-1994 NHAPS survey"
     5 "1995 NHAPS extension survey"
     6 "1998-1999 Family Interaction, Social Capital"
     7 "2003-2012 ATUS"
     8 "1999-2001 National Survey of Parents".
val lab wave
    -8 missing
     1 'first wave or only wave (2003 ATUS)'
     2 '2nd wave / ATUS 2004'
     3 '3rd wave / ATUS 2005'
     4 '4th wave / ATUS 2006'
     5 5th year ATUS 2007
     6 6th year ATUS 2008
     7 7th year ATUS 2009
     8 8th year ATUS 2010
     9 9th year ATUS 2011
    10 10th year ATUS 2012
    11 11th year ATUS 2013
    12 12th year ATUS 2014.
val lab diaryday
  -8 missing
   1 Sunday
   2 Monday
   3 Tuesday
   4 Wednesday
   5 Thursday
   6 Friday
   7 Saturday.
val lab cday year
  -8 missing.
val lab month
    -8 missing
     1 January
     2 February
     3 March
     4 April
     5 May
     6 June
     7 July
     8 August
     9 September
    10 October
    11 November
    12 December.
val lab tmain1 to tmain98
    -9 not present in study.
val lab tsc1 to tsc98
    -9 not present in study
    -7 not asked of diarist.
val lab lowqual baddem
    0 no
    1 yes.
val lab caremflg
    0 not perform care and miss daily acts
    1 "care/16+ episodes; miss 2 of sleep, self care, eat, travel".
val lab owghtflg 
    1 population weight to match CPS distribution
    2 sample population weight from study
    3 "combined population/day weight from study".
val lab xtimewt
    0 'limited sample state, miss sex/age, low qual diary'.
val lab recwght infltwt
    0 'excluded, miss sex/age or low quality diary'.

formats origwght xtimewt infltwt recwght (f8.3).

SAVE OUTFILE='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\History of harmonisation - Diary\schema\schema2.sav'
   drop tmain47 tsc47 tmain59 tsc59 tmain61 tsc61 tmain69 tsc69 tmain79 tsc79 tmain80 tsc80.

****************************************************
*set up schema files for 1975-76 spouse diary data**
****************************************************.

*create schema for time use episode files.

*the number 1 added to the first cell.

vector survey(1) wave(1) hhid(1) pid(1) diary(1) cday(1) month(1) 
       year(1) time(1) clockst(1) start(1) end(1) epnum(1) main(1) 
       sec(1) inout(1) eloc(1) mtrav(1) alone(1) infant(1) 
       child(1) sppart(1) clsfam(1) hhadult(1) animal(1) 
       shoprof(1) cowork(1) wellknw(1) otherp(1) unknwp(1) 
       agesp(1) sexsp(1) educsp(1) wkhrsp(1) empstsp(1) unempsp(1) 
       disrtsp(1) student(1) mwagesp(1) spouse(1) lowqual(1)
       baddem(1) caremfl(1) recwght(1) couplew(1).

rename variables (var00001 survey1 wave1 hhid1 pid1 diary1 cday1 
    month1 year1 time1 clockst1 start1 end1 epnum1 main1 sec1 
    inout1 eloc1 mtrav1 alone1 infant1 child1 sppart1 clsfam1 
    hhadult1 animal1 shoprof1 cowork1 wellknw1 otherp1 unknwp1 
    agesp1 sexsp1 educsp1 wkhrsp1 empstsp1 unempsp1 disrtsp1 
    student1 mwagesp1 spouse1 lowqual1 baddem1 caremfl1 
    recwght1 couplew1 = schemsp1 survey wave hhid pid diaryday 
    cday month year time clockst start end epnum main sec inout 
    eloc mtrav alone infant child sppart clsfam hhadult animal 
    shoprof cowork wellknw otherp unknwp agesp sexsp educsp 
    wkhrsp empstsp unempsp disrtsp students mwagesp spouse 
    lowqual baddem caremflg recwght couplewt). 

var lab schemsp1 '75-76 spouse time use episode file schema'.
var lab survey survey period.
var lab wave diary wave.
var lab hhid "household id".
var lab pid person identifier.
var lab diaryday day of week diary kept.
var lab cday calendar day diary kept.
var lab month month diary kept.
var lab year year diary kept.
var lab time duration of activity in minutes.
var lab clockst 'start time on 24 hour clock'.
var lab start "start minute (of 1440 min, 0=begin of diary)".
var lab end "end minute (of 1440 min, 1440=end of diary)".
var lab epnum episode number.
var lab main main activity.
var lab sec secondary activity.
var lab inout "inside, outside or in vehicle".
var lab eloc 'location (extended, inc implied in act codes)'.
var lab mtrav mode of travel.
var lab alone alone during activity.
var lab infant "a child aged <5 present".
var lab child "a child aged <18 present".
var lab sppart spouse or partner present.
var lab clsfam "close family (inc partner, hh kid, own nonhh kid, kid diarist's parent)".
var lab hhadult adult from household present.
var lab animal an animal present.
var lab shoprof "shop/service/prof staff present".
var lab cowork "co-workers/co-volunteers present".
var lab wellknw person well-known present.
var lab otherp other person present.
var lab unknwp presence of others unknown.
var lab agesp age of spouse.
var lab sexsp sex of spouse.
var lab educsp spouse level of education.
var lab wkhrsp spouse hours of work.
var lab empstsp spouse employment status.
var lab unempsp spouse unemployed.
var lab disrtsp spouse retired on disability.
var lab students 'is spouse a student?'.
var lab mwagesp "sp emp income last month".
var lab spouse '1975-76 spouse diary marker'.
var lab lowqual "low quality diary (0 weighted)".
var lab baddem "age, sex or diary day missing (0 weighed)".
var lab caremflg carer who likely combined basic acts with care.
var lab recwght "combined spouse/main, sample/day weight, remove bed diaries or miss age/sex".
var lab couplewt "couple, both kept diary, sample/day weight, remove bad cases".
val lab survey
     0 "1965-1966 USA Szalai Jackson sample"
     1 "1965-1966 USA national sample"
     2 "1975-1976 longitudinal survey"
     3 "1985 Univ Michigan survey"
     4 "1992-1994 NHAPS survey"
     5 "1995 NHAPS extension survey"
     6 "1998-1999 Family Interaction, Social Capital"
     7 "2003-2012 ATUS"
     8 "1999-2001 National Survey of Parents".
val lab wave
    -8 missing
     1 'first wave or only wave (2003 ATUS)'
     2 '2nd wave / ATUS 2004'
     3 '3rd wave / ATUS 2005'
     4 '4th wave / ATUS 2006'
     5 5th year ATUS 2007
     6 6th year ATUS 2008
     7 7th year ATUS 2009
     8 8th year ATUS 2010
     9 9th year ATUS 2011
    10 10th year ATUS 2012
    11 11th year ATUS 2013
    12 12th year ATUS 2014.
val lab diaryday
  -8 missing
   1 Sunday
   2 Monday
   3 Tuesday
   4 Wednesday
   5 Thursday
   6 Friday
   7 Saturday.
val lab cday year
  -8 missing.
val lab month
    -8 missing
     1 January
     2 February
     3 March
     4 April
     5 May
     6 June
     7 July
     8 August
     9 September
    10 October
    11 November
    12 December.
val lab main
        -8 item missing
         1 general or other personal care
         2 imputed personal or household care
         3 sleep
         4 imputed sleep
         5 naps and rest	
         6 wash, dress, personal care
         7 personal medical care
         8 meals at work
         9 other meals & snacks
        10 "main paid work (not at home)"
        11 paid work at home
        12 second job, other paid work
        13 work breaks
        14 other time at workplace
        15 time looking for work
        16 regular schooling, education
        17 homework
        18 short course or training
        19 oc lecture, other ed or train
        20 food preparation, cooking
        21 "set table, wash/put away dishes"
        22 cleaning
        23 laundry, ironing, clothing repair
        24 home repairs, maintain vehicle
        25 other domestic work
        26 purchase routine goods
        27 purchase consumer durables
        28 purchase personal services
        29 purchase medical services
        30 purchase repair, laundry services	
        31 "financial/government services"
        32 purchase other services
        33 care of infants
        34 general care of older children
        35 medical care of children
        36 play with children
        37 "supervise/help with homework"
        38 "read to, talk with child"
        39 other child care
        40 adult care
        41 general voluntary acts
        42 political and civic activity
        43 union and professional activities
        44 "volunteer child/family organization"
        45 volunteer fraternal organization
        46 other formal volunteering
        48 acts for religious organisation
        49 worship and religious acts	
        50 "general out-of-home leisure"
        51 attend sporting event
        52 go to cinema
        53 theater, concert, opera
        54 museums, exhibitions
        55 attend other public event
        56 restaurant, cafe, bar
        57 parties or receptions
        58 imputed time away from home
        60 sports & exercise
        62 walking
        63 cycling
        64 outdoor recreation
        65 "phys act/sports with child"
        66 hunting, fishing, boating, hiking
        67 gardening
        68 pet care, walk dogs
        70 general indoor leisure
        71 "imputed in-home social"
        72 receive or visit friends
        73 other in-home social, games
        74 play musical instrument, sing, act	
        75 artistic activity
        76 crafts
        77 hobbies
        78 relax, think, do nothing
        81 read books
        82 read periodicals
        83 read newspapers
        84 "listen to music (cd etc.)"
        85 listen to radio
        86 watch television, video
        87 writing by hand
        88 conversation, phone, texting
        89 use computer
        90 imputed travel
        91 personal or adult care travel
        92 travel as part of paid work
        93 "travel to/from work + oth work trav"	
        94 travel related to education
        95 travel related to consumption
        96 travel related to child care
        97 travel for volunteering or worship	
        98 other travel.
val lab sec
        -9 not present in study
        -7 not asked of diarist
         0 no secondary activity
         1 general or other personal care
         2 imputed eat during food prep or set table
         3 sleep
         5 naps and rest	
         6 wash, dress, personal care
         7 personal medical care
         8 meals at work
         9 other meals & snacks
        10 "main paid work (not at home)"
        11 paid work at home
        12 second job, other paid work
        13 work breaks
        14 other time at workplace
        15 time looking for work
        16 regular schooling, education
        17 homework
        18 short course or training
        19 oc lecture, other ed or train
        20 food preparation, cooking
        21 "set table, wash/put away dishes"
        22 cleaning
        23 laundry, ironing, clothing repair
        24 home repairs, maintain vehicle
        25 other domestic work
        26 purchase routine goods
        27 purchase consumer durables
        28 purchase personal services
        29 purchase medical services
        30 purchase repair, laundry services	
        31 "financial/government services"
        32 purchase other services
        33 care of infants
        34 general care of older children
        35 medical care of children
        36 play with children
        37 "supervise/help with homework"
        38 "read to, talk with child"
        39 other child care
        40 adult care
        41 general voluntary acts
        42 political and civic activity
        43 union and professional activities
        44 "volunteer child/family organization"
        45 volunteer fraternal organization
        46 other formal volunteering
        48 acts for religious organisation
        49 worship and religious acts	
        50 "general out-of-home leisure"
        51 attend sporting event
        52 go to cinema
        53 theater, concert, opera
        54 museums, exhibitions
        55 attend other public event
        56 restaurant, cafe, bar
        57 parties or receptions
        60 sports & exercise
        62 walking
        63 cycling
        64 outdoor recreation
        65 "phys act/sports with child"
        66 hunting, fishing, boating, hiking
        67 gardening
        68 pet care, walk dogs
        70 general indoor leisure
        71 "imputed in-home social"
        72 receive or visit friends
        73 other in-home social, games
        74 play musical instrument, sing, act	
        75 artistic activity
        76 crafts
        77 hobbies
        78 relax, think, do nothing
        81 read books
        82 read periodicals
        83 read newspapers
        84 "listen to music (cd etc.)"
        85 listen to radio
        86 watch television, video
        87 writing by hand
        88 conversation, phone, texting
        89 use computer
        90 imputed travel
        91 personal or adult care travel
        92 travel as part of paid work
        93 "travel to/from work + oth work trav"	
        94 travel related to education
        95 travel related to consumption
        96 travel related to child care
        97 travel for volunteering or worship	
        98 other travel
        99 "child in diarist's care".
val lab inout
    -9 not present in study
    -8 location unknown
     1 outside
     2 inside
     3 in a vehicle.
val lab eloc
   -9 not present in study
   -8 location unknown
    1 own home
    2 other home
    3 workplace
    4 school
    5 'services/shops'
    6 'restaurant/cafe/bar'
    7 place of worship
    8 travelling
    9 other.
val lab mtrav
   -9 not present in study
   -8 not answered
   -7 not travelling
    1 'car/truck/motorcycle'
    2 'public/mass transport'
    3 'walk (inc child carried)'
    4 cycle
    5 other or unspecified mode.
val lab alone infant child sppart clsfam hhadult animal 
        shoprof cowork wellknw otherp unknwp 
   -9 not present in study
   -7 not asked of diarist
    0 no
    1 yes.
val lab sexsp
   -8 missing
    1 male
    2 female.
val lab agesp wkhrsp mwagesp
   -9 'question from different wave'
   -8 missing.
val lab educsp
    1 primary school only
    2 incomplete high school
    3 high school graduate
    4 "some univ to undergraduate"
    5 "post-graduate"
   -9 'question from different wave'
   -8 missing.
val lab empstsp
    1 "full-time hours"
    2 "part-time hours"
    3 "working, hrs unknown"
    4 not working
   -9 'question from different wave'
   -8 missing.
val lab unempsp disrtsp students
  -9 question from a different wave
   0 no
   1 yes.
val lab spouse
    1 spouse diary.
val lab lowqual baddem
    0 no
    1 yes.
val lab caremflg
    0 not perform care and miss daily acts
    1 "care/16+ episodes; miss 2 of sleep, self care, eat, travel".
val lab couplewt 
    0 'excluded, not couple, bad case or both not return diaries'.
val lab recwght
    0 'excluded, miss sex/age or low quality diary'.

formats recwght couplewt (f8.3).

save outfile='c:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\History of harmonisation - Diary\schema\schemasp1.sav'.

*create schema for aggregated time use files.

*the number 2 added to the first cell.

vector survey(1) wave(1) hhid(1) pid(1) diary(1) cday(1) month(1)
  year(1) tottime(1) numep(1) t0pcare(1) t1paid(1) t2ed(1) 
  t3unpai(1) t4acvol(1) t5outhm(1) t6exerc(1) t7inhm(1) t8media(1) 
  t9trav(1) tmiss(1) tmain(98) tsc(98) outside(1) inveh(1) inside(1) 
  locunk(1) athome(1) atwrksc(1) elsewhr(1) lunk(1) walone(1) 
  wchild(1) wsppart(1) wclsfam(1) wother(1) withunk(1) agesp(1) 
  sexsp(1) educsp(1) wkhrsp(1) empstsp(1) unempsp(1) disrtsp(1) 
  student(1) mwagesp(1) spouse(1) lowqual(1) baddem(1) caremfl(1)
  recwght(1) couplew(1).

rename variables (var00001 survey1 wave1 hhid1 pid1 diary1 cday1 
  month1 year1 tottime1 numep1 t0pcare1 t1paid1 t2ed1 t3unpai1 
  t4acvol1 t5outhm1 t6exerc1 t7inhm1 t8media1 t9trav1 tmiss1 
  outside1 inveh1 inside1 locunk1 athome1 atwrksc1 elsewhr1 
  lunk1 walone1 wchild1 wsppart1 wclsfam1 wother1 withunk1 agesp1 
  sexsp1 educsp1 wkhrsp1 empstsp1 unempsp1 disrtsp1 student1 
  mwagesp1 spouse1 lowqual1 baddem1 caremfl1 recwght1 couplew1 = 
  schemsp2 survey wave hhid pid diaryday cday month year tottime 
  numep t0pcare t1paid t2ed t3unpaid t4acvol t5outhm t6exerc t7inhm 
  t8media t9trav tmiss outside inveh inside locunk athome atwrksc 
  elsewhr lunk walone wchild wsppart wclsfam wother withunk agesp 
  sexsp educsp wkhrsp empstsp unempsp disrtsp students mwagesp 
  spouse lowqual baddem caremflg recwght couplewt). 

var lab schemsp2 '75-76 spouse aggregated time use file schema'.
var lab survey survey period.
var lab wave diary wave.
var lab hhid household id.
var lab pid personal identifier.
var lab diaryday day of week diary kept.
var lab cday calendar day diary kept.
var lab month month diary kept.
var lab year year diary kept.
var lab tottime "total minutes recorded in diary".
var lab numep number of episodes in original data.
var lab t0pcare total minutes in personal care.
var lab t1paid total minutes in paid work.
var lab t2ed total minutes in education.
var lab t3unpaid total minutes unpaid work.
var lab t4acvol total min adult care, relig or volunt.
var lab t5outhm total minutes out of home activities.
var lab t6exerc total minutes in sport and exercise.
var lab t7inhm total minutes in home activities.
var lab t8media total minutes use media & communication.
var lab t9trav total minutes travelling.
var lab tmiss "missing (no main activity recorded or imputed)".
var lab tmain1  "min oth pers care main act only".
var lab tmain2  "min imputed pers/hh care main act only".
var lab tmain3  "min sleep main act only".
var lab tmain4  "min imputed sleep main act only".
var lab tmain5  "min naps or rest main act only".
var lab tmain6  "min wash and dress main act only".
var lab tmain7  "min pers med care main act only".
var lab tmain8  "min meals at work main act only".
var lab tmain9  "min oth meals main act only".
var lab tmain10 "min paid job main act only".
var lab tmain11 "min paid work at home main act only".
var lab tmain12 "min second job main act only".
var lab tmain13 "min work breaks main act only".
var lab tmain14 "min other workplace main act only".
var lab tmain15 "min look for work main act only".
var lab tmain16 "min regular education main act only".
var lab tmain17 "min homework main act only".
var lab tmain18 "min short course main act only".
var lab tmain19 "min other education main act only".
var lab tmain20 "min food prep/clean up main act only".
var lab tmain21 "min set table/do dishes main act only".
var lab tmain22 "min cleaning main act only".
var lab tmain23 "min laundry/iron main act only".
var lab tmain24 "min home/vehicle repair main act only".
var lab tmain25 "min other domest work main act only".
var lab tmain26 "min purch routine goods main act only".
var lab tmain27 "min purch durables main act only".
var lab tmain28 "min purch pers services main act only".
var lab tmain29 "min purch med services main act only".
var lab tmain30 "min repair/laundry services main act only".
var lab tmain31 "min financial/gov services main act only".
var lab tmain32 "min purchase other services main act only".
var lab tmain33 "min care for infant main act only".
var lab tmain34 "min care for older child main act only".
var lab tmain35 "min med care for child main act only".
var lab tmain36 "min play with child main act only".
var lab tmain37 "min supervise homework main act only".
var lab tmain38 "min read to/talk with child main act only".
var lab tmain39 "min other child care main act only".
var lab tmain40 "min adult care main act only".
var lab tmain41 "min general voluntary main act only".
var lab tmain42 "min political/civic acts main act only".
var lab tmain43 "min union/prof vol main act only".
var lab tmain44 "min child/family vol main act only".
var lab tmain45 "min fraternal vol main act only".
var lab tmain46 "min other formal vol main act only".
var lab tmain48 "min vol for relig group main act only".
var lab tmain49 "min worship main act only".
var lab tmain50 "min gen out of home leisure main act only".
var lab tmain51 "min attend sports event main act only".
var lab tmain52 "min cinema main act only".
var lab tmain53 "min theater/concert main act only".
var lab tmain54 "min museum/exhibition main act only".
var lab tmain55 "min other public events main act only".
var lab tmain56 "min restaurant or bars main act only".
var lab tmain57 "min party or reception main act only".
var lab tmain58 "min imputed time away from home main act only".
var lab tmain60 "min sports or exercise main act only".
var lab tmain62 "min walking main act only".
var lab tmain63 "min cycling main act only".
var lab tmain64 "min outdoor recreation main act only".
var lab tmain65 "min exercise with child main act only".
var lab tmain66 "min hunt or fish main act only".
var lab tmain67 "min gardening main act only".
var lab tmain68 "min walk dog/pet care main act only".
var lab tmain70 "min gen indoor leisure main act only".
var lab tmain71 "min imputed in-home main act only".
var lab tmain72 "min receive/visit friends main act only".
var lab tmain73 "min other social or games main act only".
var lab tmain74 "min play inst, sing, act main act only".
var lab tmain75 "min artistic activity main act only".
var lab tmain76 "min crafts main act only main act only".
var lab tmain77 "min hobbies main act only".
var lab tmain78 "min relax/do nothing main act only".
var lab tmain81 "min reading books main act only".
var lab tmain82 "min reading periodicals main act only".
var lab tmain83 "min reading newspapers main act only".
var lab tmain84 "min listen to music main act only".
var lab tmain85 "min listen to radio main act only".
var lab tmain86 "min watch tv, video main act only".
var lab tmain87 "min write by hand main act only".
var lab tmain88 "min conversation inc phone main act only".
var lab tmain89 "min use computer main act only".
var lab tmain90 "min imputed travel main act only".
var lab tmain91 "min pers/adult care travel main act only".
var lab tmain92 "min paid work travel main act only".
var lab tmain93 "min travel to/from work main act only".
var lab tmain94 "min education travel main act only".
var lab tmain95 "min consumption travel main act only".
var lab tmain96 "min child care travel main act only".
var lab tmain97 "min vol/worship travel main act only".
var lab tmain98 "min other travel main act only".
var lab tsc1  "min oth pers care + 2ndry childcare".
var lab tsc2  "min imp pers/hh care + 2ndry childcare".
var lab tsc3  "min sleep + 2ndry childcare".
var lab tsc4  "min imputed sleep + 2ndry child care".
var lab tsc5  "min naps or rest + 2ndry childcare".
var lab tsc6  "min wash and dress + 2ndry childcare".
var lab tsc7  "min pers med care + 2ndry childcare".
var lab tsc8  "min meals at work + 2ndry childcare".
var lab tsc9  "min oth meals + 2ndry childcare".
var lab tsc10 "min paid job + 2ndry childcare".
var lab tsc11 "min paid work at home + 2ndry childcare".
var lab tsc12 "min second job + 2ndry childcare".
var lab tsc13 "min work breaks + 2ndry childcare".
var lab tsc14 "min other workplace + 2ndry childcare".
var lab tsc15 "min look for work + 2ndry childcare".
var lab tsc16 "min regular education + 2ndry childcare".
var lab tsc17 "min homework + 2ndry childcare".
var lab tsc18 "min short course + 2ndry childcare".
var lab tsc19 "min other education + 2ndry childcare".
var lab tsc20 "min food prep/clean up + 2ndry childcare".
var lab tsc21 "min set table/do dishes + 2ndry childcare".
var lab tsc22 "min cleaning + 2ndry childcare".
var lab tsc23 "min laundry/iron + 2ndry childcare".
var lab tsc24 "min home/vehicle repair + 2ndry childcare".
var lab tsc25 "min other domest work + 2ndry childcare".
var lab tsc26 "min purch routine goods + 2ndry childcare".
var lab tsc27 "min purch durables + 2ndry childcare".
var lab tsc28 "min purch pers services + 2ndry childcare".
var lab tsc29 "min purch med services + 2ndry childcare".
var lab tsc30 "min repair/laundry services + 2ndry childcare".
var lab tsc31 "min financial/gov services + 2ndry childcare".
var lab tsc32 "min purchase other services + 2ndry childcare".
var lab tsc33 "min care for infant + 2ndry childcare".
var lab tsc34 "min care for older child + 2ndry childcare".
var lab tsc35 "min med care for child + 2ndry childcare".
var lab tsc36 "min play with child + 2ndry childcare".
var lab tsc37 "min supervise homework + 2ndry childcare".
var lab tsc38 "min read to/talk with child + 2ndry childcare".
var lab tsc39 "min other child care + 2ndry childcare".
var lab tsc40 "min adult care + 2ndry childcare".
var lab tsc41 "min general voluntary + 2ndry childcare".
var lab tsc42 "min political/civic acts + 2ndry childcare".
var lab tsc43 "min union/prof vol + 2ndry childcare".
var lab tsc44 "min child/family vol + 2ndry childcare".
var lab tsc45 "min fraternal vol + 2ndry childcare".
var lab tsc46 "min other formal vol + 2ndry childcare".
var lab tsc48 "min vol for relig group + 2ndry childcare".
var lab tsc49 "min worship + 2ndry childcare".
var lab tsc50 "min gen out of home leisure + 2ndry childcare".
var lab tsc51 "min attend sports event + 2ndry childcare".
var lab tsc52 "min cinema + 2ndry childcare".
var lab tsc53 "min theater/concert + 2ndry childcare".
var lab tsc54 "min museum/exhibition + 2ndry childcare".
var lab tsc55 "min other public events + 2ndry childcare".
var lab tsc56 "min restaurants + 2ndry childcare".
var lab tsc57 "min party or reception + 2ndry childcare".
var lab tsc58 "min imp time not home + 2ndry childcare".
var lab tsc60 "min sports or exercise + 2ndry childcare".
var lab tsc62 "min walking + 2ndry childcare".
var lab tsc63 "min cycling + 2ndry childcare".
var lab tsc64 "min outdoor recreation + 2ndry childcare".
var lab tsc65 "min exercise with child + 2ndry childcare".
var lab tsc66 "min hunt or fish + 2ndry childcare".
var lab tsc67 "min gardening + 2ndry childcare".
var lab tsc68 "min walk dog/pet care + 2ndry childcare".
var lab tsc70 "min gen indoor leisure + 2ndry childcare".
var lab tsc71 "min imp in-home + 2ndry childcare".
var lab tsc72 "min receive/visit friends + 2ndry childcare".
var lab tsc73 "min other social or games + 2ndry childcare".
var lab tsc74 "min play inst, sing, act + 2ndry childcare".
var lab tsc75 "min artistic activity + 2ndry childcare".
var lab tsc76 "min crafts + 2ndry childcare".
var lab tsc77 "min hobbies + 2ndry childcare".
var lab tsc78 "min relax/do nothing + 2ndry childcare".
var lab tsc81 "min reading books + 2ndry childcare".
var lab tsc82 "min reading periodicals + 2ndry childcare".
var lab tsc83 "min reading newspapers + 2ndry childcare".
var lab tsc84 "min listen to music + 2ndry childcare".
var lab tsc85 "min listen to radio + 2ndry childcare".
var lab tsc86 "min tv, video + 2ndry childcare".
var lab tsc87 "min write by hand + 2ndry childcare".
var lab tsc88 "min conversation inc phone + 2ndry childcare".
var lab tsc89 "min use computer + 2ndry childcare".
var lab tsc90 "min imp travel + 2ndry childcare".
var lab tsc91 "min pers/adult care travel + 2ndry childcare".
var lab tsc92 "min paid work travel + 2ndry childcare".
var lab tsc93 "min travel to/from work + 2ndry childcare".
var lab tsc94 "min education travel + 2ndry childcare".
var lab tsc95 "min consumption travel + 2ndry childcare".
var lab tsc96 "min child care travel + 2ndry childcare".
var lab tsc97 "min vol/worship travel + 2ndry childcare".
var lab tsc98 "min other travel + 2ndry childcare".
var lab outside total min outside.
var lab inveh total min in vehicle.
var lab inside total min inside.
var lab locunk 'min out/inside unknown'.
var lab athome total min at own home.
var lab atwrksc min at workplace or school.
var lab elsewhr total min elsewhere.
var lab lunk total min location unknown.
var lab walone total min alone.
var lab wchild total min with a child.
var lab wsppart min with spouse or partner.
var lab wclsfam "min with close family (inc partner, hh kid, own nonhh kid, kid diarist's parent)".
var lab wother total min with other people.
var lab withunk min not known who else present.
var lab agesp age of spouse.
var lab sexsp sex of spouse.
var lab educsp spouse level of education.
var lab wkhrsp spouse hours of work.
var lab empstsp spouse employment status.
var lab unempsp spouse unemployed.
var lab disrtsp spouse retired on disability.
var lab students 'is spouse a student?'.
var lab mwagesp "sp emp income last month".
var lab spouse '1975-76 spouse diary marker'.
var lab lowqual "low quality diary (0 weighted)".
var lab baddem "age, sex or diary day missing (0 weighed)".
var lab caremflg carer who likely combined basic acts with care.
var lab recwght "combined spouse/main, sample/day weight, remove bed diaries or miss age/sex".
var lab couplewt "couple, both kept diary, sample/day weight, remove bad cases".
val lab survey
     0 "1965-1966 USA Szalai Jackson sample"
     1 "1965-1966 USA national sample"
     2 "1975-1976 longitudinal survey"
     3 "1985 Univ Michigan survey"
     4 "1992-1994 NHAPS survey"
     5 "1995 NHAPS extension survey"
     6 "1998-1999 Family Interaction, Social Capital"
     7 "2003-2012 ATUS"
     8 "1999-2001 National Survey of Parents".
val lab wave
    -8 missing
     1 'first wave or only wave (2003 ATUS)'
     2 '2nd wave / ATUS 2004'
     3 '3rd wave / ATUS 2005'
     4 '4th wave / ATUS 2006'
     5 5th year ATUS 2007
     6 6th year ATUS 2008
     7 7th year ATUS 2009
     8 8th year ATUS 2010
     9 9th year ATUS 2011
    10 10th year ATUS 2012
    11 11th year ATUS 2013
    12 12th year ATUS 2014.
val lab diaryday
  -8 missing
   1 Sunday
   2 Monday
   3 Tuesday
   4 Wednesday
   5 Thursday
   6 Friday
   7 Saturday.
val lab cday year
  -8 missing.
val lab month
    -8 missing
     1 January
     2 February
     3 March
     4 April
     5 May
     6 June
     7 July
     8 August
     9 September
    10 October
    11 November
    12 December.
val lab tmain1 to tmain98
    -9 not present in study.
val lab tsc1 to tsc98
    -9 not present in study
    -7 not asked of diarist.
val lab sexsp
   -8 missing
    1 male
    2 female.
val lab agesp wkhrsp mwagesp
   -9 'question from different wave'
   -8 missing.
val lab educsp
    1 primary school only
    2 incomplete high school
    3 high school graduate
    4 "some univ to undergraduate"
    5 "post-graduate"
   -9 'question from different wave'
   -8 missing.
val lab empstsp
    1 "full-time hours"
    2 "part-time hours"
    3 "working, hrs unknown"
    4 not working
   -9 'question from different wave'
   -8 missing.
val lab unempsp disrtsp students
  -9 question from a different wave
   0 no
   1 yes.
val lab spouse
    1 spouse diary.
val lab lowqual baddem
    0 no
    1 yes.
val lab caremflg
    0 not perform care and miss daily acts
    1 "care/16+ episodes; miss 2 of sleep, self care, eat, travel".
val lab couplewt
    0 'excluded, not couple, bad case or both not return diaries'.
val lab recwght
    0 'excluded, miss sex/age or low quality diary'.

formats recwght couplewt (f8.3).

save outfile='c:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\History of harmonisation - Diary\schema\schemasp2.sav'
   drop tmain47 tsc47 tmain59 tsc59 tmain61 tsc61 tmain69 tsc69 tmain79 tsc79 tmain80 tsc80.
